LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sheet::FilterFieldType Constant Group Reference

## Variables
const long | NUMERIC = 0
| Filter by numeric value. More...
const long | STRING = 1
| Filter by string value. More...
const long | DATE = 2
| Filter by date. More...
const long | TEXT_COLOR = 3
| Filter by text color. More...
const long | BACKGROUND_COLOR = 4
| Filter by background color. More...

## Detailed Description

Since
  LibreOffice 7.2

## Variable Documentation

## ◆ BACKGROUND_COLOR

const long BACKGROUND_COLOR = 4

Filter by background color.

## ◆ DATE

const long DATE = 2

Filter by date.

## ◆ NUMERIC

const long NUMERIC = 0

Filter by numeric value.

## ◆ STRING

const long STRING = 1

Filter by string value.

## ◆ TEXT_COLOR

const long TEXT_COLOR = 3

Filter by text color.